Debian Bug report logs - #405043
Provide option to choose font size from the default list

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Michelle Konzack <linux4michelle@freenet.de>

Date: Sat, 30 Dec 2006 18:18:53 UTC

Severity: wishlist

Found in version 4.3.0.dfsg.1-14sarge2

Fixed in version xterm/224-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#405043; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Michelle Konzack <linux4michelle@freenet.de>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michelle Konzack <linux4michelle@freenet.de>
To: BTS <submit@bugs.debian.org>
Subject: Provide option to choose font size from the default list
Date: Sat, 30 Dec 2006 19:11:01 +0100
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 4.3.0.dfsg.1-14sarge2
Severity: wishlist

Wish description:

    PLEASE FORWARD TO UPSTREAM (its not realy a Debian thing)

In the Resource file we have:

----8<--------------------------------------------------------------
.XTerm.vt100.font:	-misc-fixed-medium-r-normal--14-*-*-*-*-*-iso8859-1
.XTerm.vt100.font1:	-misc-fixed-medium-r-normal--6-*-*-*-*-*-iso8859-1
.XTerm.vt100.font2:	-misc-fixed-medium-r-normal--8-*-*-*-*-*-iso8859-1
.XTerm.vt100.font3:	-misc-fixed-medium-r-normal--10-*-*-*-*-*-iso8859-1
.XTerm.vt100.font4:	-misc-fixed-medium-r-normal--14-*-*-*-*-*-iso8859-1
.XTerm.vt100.font5:	-misc-fixed-medium-r-normal--18-*-*-*-*-*-iso8859-1
.XTerm.vt100.font6:	-misc-fixed-medium-r-normal--20-*-*-*-*-*-iso8859-1

.XTerm.vt100.utf8:	3

.XTerm.vt100.utf8Font:	-misc-fixed-medium-r-normal--14-*-*-*-*-*-iso10646-1
.XTerm.vt100.utf8Font1:	-misc-fixed-medium-r-normal--6-*-*-*-*-*-iso10646-1
.XTerm.vt100.utf8Font2:	-misc-fixed-medium-r-normal--8-*-*-*-*-*-iso10646-1
.XTerm.vt100.utf8Font3:	-misc-fixed-medium-r-normal--10-*-*-*-*-*-iso10646-1
.XTerm.vt100.utf8Font4:	-misc-fixed-medium-r-normal--14-*-*-*-*-*-iso10646-1
.XTerm.vt100.utf8Font5:	-misc-fixed-medium-r-normal--18-*-*-*-*-*-iso10646-1
.XTerm.vt100.utf8Font6:	-misc-fixed-medium-r-normal--20-*-*-*-*-*-iso10646-1
----8<--------------------------------------------------------------

The problem is now to start XTerm with a desired font size since the
option "-fn" or "-font" is marked as deprecated and using it will
automaticaly switch the "scalable" font in the menus to the font given
on the commandline which will have undesired results (VERY BIG SIZE).

What I like to see is an option, which keet the two above resource
settings for normal and unicode fonts sizes but let the $USER choose
with which size (1 to 6) to start.

This has the benefit if the resource ".XTerm.vt100.utf8: 3" is used
since I can run XTerm with whatever locale I have choosen without
changing the font (normal/unicode) manualy.

Example:

Currently, if I choose ".XTerm.vt100.utf8: 0" or "-u8" and I want to
set the XTerm to a specific font size:

    -fn -misc-fixed-medium-r-normal--14-*-*-*-*-*-iso10646-1

but now if I want to runn XTErm wirh an iso8859 locale and the same font
size I have to use

    -fn -misc-fixed-medium-r-normal--14-*-*-*-*-*-iso8859-15

which is realy anoying

A better solution is definitivly to set up the desired 

    .XTerm.vt100.utf8Font
    .XTerm.vt100.font

and use only for example

    xterm -fontsize 4

for example, which mean, XTerm will determiner which locale (normal/
unicode) I use and choose the right registry and encoding.

Thanks, Greetings and nice Day
    Michelle Konzack
    Systemadministrator
    Tamay Dogan Network
    Debian GNU/Linux Consultant


-- System Information
Debian Release: 3.1
Kernel Version: Linux michelle1.private 2.4.27-2-386 #1 Wed Aug 17 09:33:35 UTC 2005 i686 GNU/Linux


Versions of the packages xterm depends on:
ii  libc6          2.3.2.ds1-22sa GNU C Library: Shared libraries and Timezone
ii  libexpat1      1.95.8-3       XML parsing C library - runtime library
ii  libfontconfig1 2.3.1-2        generic font configuration library (shared l
ii  libfreetype6   2.1.7-6        FreeType 2 font engine, shared library files
ii  libice6        4.3.0.dfsg.1-1 Inter-Client Exchange library
ii  libncurses5    5.4-4          Shared libraries for terminal handling
ii  libsm6         4.3.0.dfsg.1-1 X Window System Session Management library
ii  libxaw7        4.3.0.dfsg.1-1 X Athena widget set library
ii  libxext6       4.3.0.dfsg.1-1 X Window System miscellaneous extension libr
ii  libxft2        2.1.7-1        FreeType-based font drawing library for X
ii  libxmu6        4.3.0.dfsg.1-1 X Window System miscellaneous utility librar
ii  libxpm4        4.3.0.dfsg.1-1 X pixmap library
ii  libxrender1    0.8.3-7        X Rendering Extension client library
ii  libxt6         4.3.0.dfsg.1-1 X Toolkit Intrinsics
ii  xfree86-common 4.3.0.dfsg.1-1 X Window System (XFree86) infrastructure
ii  xlibs          4.3.0.dfsg.1-1 X Keyboard Extension (XKB) configuration dat
ii  xlibs-data     4.3.0.dfsg.1-1 X Window System client data


-- 
Linux-User #280138 with the Linux Counter, http://counter.li.org/
##################### Debian GNU/Linux Consultant #####################
Michelle Konzack   Apt. 917                  ICQ #328449886
                   50, rue de Soultz         MSM LinuxMichi
0033/6/61925193    67100 Strasbourg/France   IRC #Debian (irc.icq.com)
[signature.pgp (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#405043; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 405043@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Michelle Konzack <linux4michelle@freenet.de>, 405043@bugs.debian.org
Subject: Re: Bug#405043: Provide option to choose font size from the default list
Date: Sat, 30 Dec 2006 17:11:18 -0500
[Message part 1 (text/plain, inline)]
On Sat, Dec 30, 2006 at 07:30:22PM +0100, Michelle Konzack wrote:
> Package: xterm
> Version: 4.3.0.dfsg.1-14sarge2
> Severity: wishlist
> 
> Wish description:
> 
>     PLEASE FORWARD TO UPSTREAM (its not realy a Debian thing)

perhaps.
 
> The problem is now to start XTerm with a desired font size since the
> option "-fn" or "-font" is marked as deprecated and using it will
> automaticaly switch the "scalable" font in the menus to the font given
> on the commandline which will have undesired results (VERY BIG SIZE).

Where do you read that -fn is depcrecated?

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#405043; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Michelle Konzack <linux4michelle@freenet.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 405043@bugs.debian.org (full text, mbox):

From: Michelle Konzack <linux4michelle@freenet.de>
To: Thomas Dickey <dickey@radix.net>
Cc: 405043@bugs.debian.org
Subject: Re: Bug#405043: Provide option to choose font size from the default list
Date: Thu, 11 Jan 2007 17:59:41 +0100
[Message part 1 (text/plain, inline)]
Am 2006-12-30 17:11:18, schrieb Thomas Dickey:
> On Sat, Dec 30, 2006 at 07:30:22PM +0100, Michelle Konzack wrote:
> > Package: xterm
> > Version: 4.3.0.dfsg.1-14sarge2
> > Severity: wishlist
> > 
> > Wish description:
> > 
> >     PLEASE FORWARD TO UPSTREAM (its not realy a Debian thing)
> 
> perhaps.
>  
> > The problem is now to start XTerm with a desired font size since the
> > option "-fn" or "-font" is marked as deprecated and using it will
> > automaticaly switch the "scalable" font in the menus to the font given
> > on the commandline which will have undesired results (VERY BIG SIZE).
> 
> Where do you read that -fn is depcrecated?

OK, deprecated is not realy the right word but:

man xterm

at the end of the OPTIONS section it is written:

----8<------------------------------------------------------------------
       The following command line arguments are provided for compatibil-
       ity with older versions.  They may not be supported in  the  next
       release  as  the  X Toolkit provides standard options that accom-
       plish the same task.
<snip>
       -fn font
               This  option specifies the font to be used for displaying
               normal text.  The default is fixed.

       -font font
               This is the same as -fn.
----8<------------------------------------------------------------------

Greetings
    Michelle Konzack


-- 
Linux-User #280138 with the Linux Counter, http://counter.li.org/
##################### Debian GNU/Linux Consultant #####################
Michelle Konzack   Apt. 917                  ICQ #328449886
                   50, rue de Soultz         MSM LinuxMichi
0033/6/61925193    67100 Strasbourg/France   IRC #Debian (irc.icq.com)
[signature.pgp (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#405043; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 405043@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Michelle Konzack <linux4michelle@freenet.de>
Cc: 405043@bugs.debian.org
Subject: Re: Bug#405043: Provide option to choose font size from the default list
Date: Thu, 11 Jan 2007 12:42:48 -0500
[Message part 1 (text/plain, inline)]
On Thu, Jan 11, 2007 at 05:59:41PM +0100, Michelle Konzack wrote:
> > Where do you read that -fn is depcrecated?
> 
> OK, deprecated is not realy the right word but:
> 
> man xterm
> 
> at the end of the OPTIONS section it is written:

oh - that's a very old comment.  What it means is that xterm's source
contains explicit assignments for certain options which may be provided
directly in the X libraries by those names or by equivalent ones.

xterm's manpage refers to these particular options as obsolete:
	%geom #geom -T -n -r -w

The options listed under this paragraph are not obsolete:

     The following standard X Toolkit command line arguments  are
     commonly used with xterm:

It corresponds to this paragraph from the X manpage (also more than
ten years old):

     Most X programs attempt to use the same  names  for  command
     line  options  and arguments.  All applications written with
     the X Toolkit Intrinsics automatically accept the  following
     options:
> 
> ----8<------------------------------------------------------------------
>        The following command line arguments are provided for compatibil-
>        ity with older versions.  They may not be supported in  the  next
>        release  as  the  X Toolkit provides standard options that accom-
>        plish the same task.
> <snip>
>        -fn font
>                This  option specifies the font to be used for displaying
>                normal text.  The default is fixed.
> 
>        -font font
>                This is the same as -fn.
> ----8<------------------------------------------------------------------

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#405043; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 405043@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 405043@bugs.debian.org
Subject: re: #405043 Provide option to choose font size from the default list
Date: Tue, 16 Jan 2007 18:11:11 -0500
[Message part 1 (text/plain, inline)]
This is actually a duplicate of #299669

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michelle Konzack <linux4michelle@freenet.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 405043-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 405043-close@bugs.debian.org
Subject: Bug#405043: fixed in xterm 224-1
Date: Sun, 11 Feb 2007 23:32:04 +0000
Source: xterm
Source-Version: 224-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_224-1.diff.gz
  to pool/main/x/xterm/xterm_224-1.diff.gz
xterm_224-1.dsc
  to pool/main/x/xterm/xterm_224-1.dsc
xterm_224-1_i386.deb
  to pool/main/x/xterm/xterm_224-1_i386.deb
xterm_224.orig.tar.gz
  to pool/main/x/xterm/xterm_224.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 405043@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Feb 2007 00:14:06 +0100
Source: xterm
Binary: xterm
Architecture: source i386
Version: 224-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 401726 404111 405043 406502
Changes: 
 xterm (224-1) unstable; urgency=low
 .
   * New upstream release.
     + fix build for GNU/KFreeBSD (closes: #404111).
     + undo a comparison in handle_translated_exposure which did not work
       due  to  X server optimization. That caused the inner border to be
       repainted  with  unexpected  colors when handling a repaint, e.g.,
       after  switching to/from another workspace (closes: #401726).
     + allow  -cr option to override cursor color when -ah option is used
       (closes: #406502).
     + add  a  note  in  xterm's  manpage explaining that the -bw (or -w)
       option  is  only  used  by  the  window manager, if at all
       (closes: #405043).
   * Refresh patch 901_xterm_manpage.diff.
   * Change my email address in debian/control.
Files: 
 0b1fec8d9583f4c170d4a4ba69a5ee3c 805 x11 optional xterm_224-1.dsc
 7e9f042873eb1927934d21733f9a2e1a 811925 x11 optional xterm_224.orig.tar.gz
 57d89a5915e7d94793c4dab6453dfb2b 60747 x11 optional xterm_224-1.diff.gz
 6815949d5c4c876bb73280d38aedfcf4 442780 x11 optional xterm_224-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFz6UwmEvTgKxfcAwRAm/uAKCWhkcHEYu3NEgfUhVvQaU5D8LP2ACfSswT
M0qNiGTRIqyKhd1PeVjUM+o=
=HR7M
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#405043; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Michelle Konzack <linux4michelle@freenet.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 405043@bugs.debian.org (full text, mbox):

From: Michelle Konzack <linux4michelle@freenet.de>
To: 405043@bugs.debian.org
Subject: Re: Bug#405043 closed by Julien Cristau <jcristau@debian.org> (Bug#405043: fixed in xterm 224-1)
Date: Wed, 21 Feb 2007 17:40:32 +0100
[Message part 1 (text/plain, inline)]
Hello Julian,

You have closed my Bug but it seems it is NOT fixed since the reson was:

>      + add  a  note  in  xterm's  manpage explaining that the -bw (or -w)
>        option  is  only  used  by  the  window manager, if at all
>        (closes: #405043).

which is not related to my bugreport/wishlist.

This bug should be reopened.

Thanks, Greetings and nice Day
    Michelle Konzack
    Systemadministrator
    Tamay Dogan Network
    Debian GNU/Linux Consultant


-- 
Linux-User #280138 with the Linux Counter, http://counter.li.org/
##################### Debian GNU/Linux Consultant #####################
Michelle Konzack   Apt. 917                  ICQ #328449886
                   50, rue de Soultz         MSM LinuxMichi
0033/6/61925193    67100 Strasbourg/France   IRC #Debian (irc.icq.com)
[signature.pgp (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#405043; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 405043@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Michelle Konzack <linux4michelle@freenet.de>, 405043@bugs.debian.org
Subject: Re: Bug#405043: closed by Julien Cristau <jcristau@debian.org> (Bug#405043: fixed in xterm 224-1)
Date: Wed, 21 Feb 2007 17:09:42 -0500
[Message part 1 (text/plain, inline)]
On Wed, Feb 21, 2007 at 06:00:38PM +0100, Michelle Konzack wrote:
> Hello Julian,
> 
> You have closed my Bug but it seems it is NOT fixed since the reson was:
> 
> >      + add  a  note  in  xterm's  manpage explaining that the -bw (or -w)
> >        option  is  only  used  by  the  window manager, if at all
> >        (closes: #405043).
> 
> which is not related to my bugreport/wishlist.

The part that did not duplicate #299669 was just a documentation issue.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 09:59:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:02:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.